%define module	urwid
%define name	python-%{module}
%define version	0.9.9.1
%define release %mkrel 3

Summary:	Python library to write console user interface library
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	http://excess.org/%{module}/%{module}-%{version}.tar.gz
License:	LGPL
Group: 		Development/Python
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Url: 		http://excess.org/%{module_name}
BuildRequires:	python-devel

%description
Urwid is a console user interface library. It includes many features
useful for text console application developers including :

* Fluid interface resizing (xterm window resizing / fbset on Linux console)
* Web application display mode using Apache and CGI [Live Demo]
* Support for UTF-8, simple 8-bit and CJK encodings
* Multiple text alignment and wrapping modes built-in
* Ability create user-defined text layout classes
* Simple markup for setting text attributes
* Powerful list box that handles scrolling between different widget types
* List box contents may be managed with a user-defined class
* Flexible edit box for editing many different types of text
* Buttons, check boxes and radio boxes
* Customizable layout for all widgets
* Easy interface for creating HTML screen shots

%prep
%setup -q -n %{module}-%{version}

%build
%setup_compile_flags
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --record=INSTALLED_FILES

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc  *html *py
%py_platsitedir/*


%changelog
* Thu Nov 04 2010 Funda Wang <fwang@mandriva.org> 0.9.9.1-3mdv2011.0
+ Revision: 593190
- rebuild for py2.7

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Mon Jan 25 2010 Frederik Himpe <fhimpe@mandriva.org> 0.9.9.1-1mdv2010.1
+ Revision: 496353
- update to new version 0.9.9.1

* Mon Dec 07 2009 Lev Givon <lev@mandriva.org> 0.9.9-1mdv2010.1
+ Revision: 474583
- Update to 0.9.9.

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.9.8.4-2mdv2010.0
+ Revision: 442530
- rebuild

* Tue Mar 24 2009 Michael Scherer <misc@mandriva.org> 0.9.8.4-1mdv2009.1
+ Revision: 360846
- update to latest release for python 2.6 support

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 0.9.8.3-1mdv2009.0
+ Revision: 280568
- New version

* Thu Jul 03 2008 Michael Scherer <misc@mandriva.org> 0.9.8-2mdv2009.0
+ Revision: 230904
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing at top of description
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue May 01 2007 Michael Scherer <misc@mandriva.org> 0.9.8-1mdv2008.0
+ Revision: 19944
- upgrade to 0.9.8


* Thu Dec 14 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.7.1-2mdv2007.0
+ Revision: 96933
- Rebuild against New python
- Remove redundant buildrequires

* Mon Oct 30 2006 Michael Scherer <misc@mandriva.org> 0.9.7.1-1mdv2007.1
+ Revision: 73829
- Fix again BuildRequires
- fix BuildRequires
- update to 0.9.7.1
- update to 0.9.7
- Import python-urwid

* Thu Aug 24 2006 Michael Scherer <misc@mandriva.org> 0.9.6-1mdv2007.0
- First package

